scripts/fetch in rvm-0.0.96 vs scripts/fetch in rvm-0.0.97

- old
+ new

@@ -1,12 +1,11 @@ #!/usr/bin/env bash -fetch_command=$(which curl 2>/dev/null) -if [[ $? -ne 0 ]] ; then +if ! which curl &> /dev/null; then $rvm_scripts_path/log "fail" "rvm requires curl, which does not seem to exist in your path :(" exit 1 else - fetch_command="$fetch_command -O -L --create-dirs -C - " # -s for silent + fetch_command="curl -O -L --create-dirs -C - " # -s for silent fi pushd "$rvm_archives_path" > /dev/null 2>&1 if [[ -z "$1" ]] ; then $rvm_scripts_path/log "fail" "BUG: $0 called without an argument :/" ; exit 1 ; fi